<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>GreTaste Demo</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://code.jquery.com/jquery-3.5.1.js" 

        crossorigin="anonymous"></script>
        <style>
            table, th, td {
                border: 1px solid black;   padding: 2px 4px 2px 8px; border-collapse: collapse;
            }
        </style>
    </head>
    <body>
        <div>
            <form>
                <table>
                    <tr>
                        <td>
                            <p>
                                <textarea id="content" name="content" rows="20" cols="80"></textarea>
                            </p>
                        </td>
                        <td>
                            <p id="result"></p>
                        </td>
                    </tr>
                </table>
                <button id="spell" type="button">Spell</button> 
                <button id="translate" type="button">Translate</button> 
                <button id="translate2" type="button">Translate RU</button> 
                <button id="translate3" type="button">Spell+Translate</button> 
                <button id="translate4" type="button">Spell+Translate RU</button> 
            </form>
        </div>
        <div id="ttable">

        </div>
        <div id="debug">

        </div>
        <script>

            function escapeHtml(unsafe) {
                return unsafe
                        .replace(/&/g, "&amp;")
                        .replace(/</g, "&lt;")
                        .replace(/>/g, "&gt;")
                        .replace(/"/g, "&quot;")
                        .replace(/'/g, "&#039;");
            }


            var success = function (json) {

                var obj = JSON.parse(json);

                $('#result').empty().append(obj.result);
            }
            var tsuccess = function (json) {
                $('#ttable').empty();
                $('#debug').empty();
                var table = $("<table/>");
                var theader = $("<tr/>");
                theader.append("<th>#</th>");
                //theader.append("<th>Id</th>");
                //theader.append("<th>Position</th>");
                theader.append("<th>Lemma</th>");
                theader.append("<th>Translated</th>");
                theader.append("<th>Dictionary</th>");
                theader.append("<th>MWE</th>");
                theader.append("<th>MWE Size</th>");
                theader.append("<th>Entity</th>")
                theader.append("<th>Word</th>");
                theader.append("<th>Translation</th>");

                $('#ttable').append(table);
                table.append(theader);

                var tobj = JSON.parse(json);
                var obj = tobj.translation;
                var dm = tobj.debug;
                var i, j;
                for (i = 0; i < dm.length; i++) {
                    $('#debug').append(escapeHtml(dm[i]));
                    $('#debug').append("<br/>");
                }

                for (i = 0; i < obj.length; i++) {
                    var ids = "";
                    for (j = 0; j < obj[i].entity_ids.length; j++) {
                        if (j === 0)
                            ids += obj[i].entity_ids[j];
                        else
                            ids += ", " + obj[i].entity_ids[j];
                    }
                    var m = '';
                    if (obj[i].startOfMW)
                        m = "1st";
                    if (obj[i].partOfMW)
                        m = "+";

                    var lexName = (obj[i].lexicon === 0 ? 'None' : (obj[i].lexicon === 1 ? 'GreTaste' : (obj[i].lexicon === 3 ? 'Generic' : (obj[i].lexicon === 2 ? 'Override' : obj[i].lexicon))));

                    var row = $("<tr/>");
                    table.append(row);

                    row.append("<td>" + i + "</td>");
                    //row.append("<td>" + obj[i].id + "</td>");
                    //row.append("<td>" + obj[i].position + "</td>");
                    row.append("<td>" + obj[i].lemma + "</td>");
                    row.append("<td>" + obj[i].translated + "</td>");
                    row.append("<td>" + lexName + "</td>");
                    row.append("<td>" + m + "</td>");
                    row.append("<td>" + obj[i].mwSize + "</td>");
                    row.append("<td>" + ids + "</td>");
                    row.append("<td>" + obj[i].wf + "</td>");
                    row.append("<td><b>" + obj[i].translation + "</b></td>");
                }

                $('#result').empty().append(obj.result);
            }
            $("#spell").click(function () {
                $.ajax({
                    type: "POST",
                    url: 'check',
                    data: $('#content').val(),
                    contentType: "text/plain",
                    success: success,
                    dataType: 'text'
                });
            });
            $("#translate").click(function () {
                $.ajax({
                    type: "POST",
                    url: 'translate2?notransliterate',
                    data: $('#content').val(),
                    contentType: "text/plain",
                    success: tsuccess,
                    dataType: 'text'
                });
            });
            $("#translate2").click(function () {
                $.ajax({
                    type: "POST",
                    url: 'translate2?locale=ru',
                    data: $('#content').val(),
                    contentType: "text/plain",
                    success: tsuccess,
                    dataType: 'text'
                });
            });
            $("#translate3").click(function () {
                $.ajax({
                    type: "POST",
                    url: 'translate2?spell=true&locale=en',
                    data: $('#content').val(),
                    contentType: "text/plain",
                    success: tsuccess,
                    dataType: 'text'
                });
            });
            $("#translate4").click(function () {
                $.ajax({
                    type: "POST",
                    url: 'translate2?spell=true&locale=ru',
                    data: $('#content').val(),
                    contentType: "text/plain",
                    success: tsuccess,
                    dataType: 'text'
                });
            });
        </script>
    </body>

</html>
